# Class OjLedGauge

The component WebElement for oj-led-gauge. Do not instantiate this class directly, instead, use ojLedGauge.

#### Hierarchy

- OjLedGaugeBase
  - OjLedGauge

#####
Index

### Constructors

constructor

### Methods

changeValue
clear
click
findElement
findElements
getAttribute
getBorderColor
getColor
getCssValue
getDriver
getId
getLabel
getLocation
getMarkerSize
getMax
getMetricLabel
getMin
getProperty
getRect
getRotation
getShadowRoot
getSize
getSizeProperty
getSvgClassName
getSvgStyle
getTagName
getText
getThresholds
getTooltip
getTrackResize
getTranslations
getType
getValue
getVisualEffects
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new OjLedGauge(el, locators): OjLedGauge

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjLedGauge

  Inherited from OjLedGaugeBase.constructor

## Methods

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. The metric value.

  #### Parameters

  - ##### value: null | number

    The value to set for `value`

  #### Returns Promise<void>

  Inherited from OjLedGaugeBase.changeValue

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjLedGaugeBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.getAttribute

### getBorderColor

- getBorderColor(): Promise<string>

- Gets the value of `borderColor` property. The border color of the gauge. Only applies when thresholds are not defined. The default value varies based on theme.

  #### Returns Promise<string>

  The value of `borderColor` property.

  Inherited from OjLedGaugeBase.getBorderColor

### getColor

- getColor(): Promise<string>

- Gets the value of `color` property. The color of the gauge. Only applies when thresholds are not defined. The default value varies based on theme.

  #### Returns Promise<string>

  The value of `color` property.

  Inherited from OjLedGaugeBase.getColor

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.getCssValue

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from OjLedGaugeBase.getDriver

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from OjLedGaugeBase.getId

### getLabel

- getLabel(): Promise<Label>

- Gets the value of `label` property. An object defining the label.

  #### Returns Promise<Label>

  The value of `label` property.

  #### Deprecated

  Since 12.1.0. Use metric-label instead.

  Inherited from OjLedGaugeBase.getLabel

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.getLocation

### getMarkerSize

- getMarkerSize(): Promise<string>

- Gets the value of `markerSize` property. Specifies the led size.

  #### Returns Promise<string>

  The value of `markerSize` property.

  Inherited from OjLedGaugeBase.getMarkerSize

### getMax

- getMax(): Promise<number>

- Gets the value of `max` property. The maximum value of the gauge.

  #### Returns Promise<number>

  The value of `max` property.

  Inherited from OjLedGaugeBase.getMax

### getMetricLabel

- getMetricLabel(): Promise<MetricLabel>

- Gets the value of `metricLabel` property. An object defining the value label.

  #### Returns Promise<MetricLabel>

  The value of `metricLabel` property.

  Inherited from OjLedGaugeBase.getMetricLabel

### getMin

- getMin(): Promise<number>

- Gets the value of `min` property. The minimum value of the gauge.

  #### Returns Promise<number>

  The value of `min` property.

  Inherited from OjLedGaugeBase.getMin

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjLedGaugeBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.getRect

### getRotation

- getRotation(): Promise<number>

- Gets the value of `rotation` property. The rotation angle for the gauge. Useful for changing the direction of triangle or arrow gauges.

  #### Returns Promise<number>

  The value of `rotation` property.

  Inherited from OjLedGaugeBase.getRotation

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from OjLedGaugeBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.getSize

### getSizeProperty

- getSizeProperty(): Promise<number>

- Gets the value of `size` property. Fraction of area to use. Values range from 0 to 1.

  #### Returns Promise<number>

  The value of `size` property.

  Inherited from OjLedGaugeBase.getSizeProperty

### getSvgClassName

- getSvgClassName(): Promise<string>

- Gets the value of `svgClassName` property. The CSS style class to apply to the gauge. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `svgClassName` property.

  Inherited from OjLedGaugeBase.getSvgClassName

### getSvgStyle

- getSvgStyle(): Promise<object>

- Gets the value of `svgStyle` property. The inline style to apply to the gauge. See the Help documentation for more information.

  #### Returns Promise<object>

  The value of `svgStyle` property.

  Inherited from OjLedGaugeBase.getSvgStyle

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from OjLedGaugeBase.getTagName

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.getText

### getThresholds

- getThresholds(): Promise<Thresholds[]>

- Gets the value of `thresholds` property. An array of objects specifying the gauge thresholds.

  #### Returns Promise<Thresholds[]>

  The value of `thresholds` property.

  Inherited from OjLedGaugeBase.getThresholds

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

  Inherited from OjLedGaugeBase.getTooltip

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

  Inherited from OjLedGaugeBase.getTrackResize

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

  Inherited from OjLedGaugeBase.getTranslations

### getType

- getType(): Promise<string>

- Gets the value of `type` property. The shape of the LED gauge. Can take the name of a built-in shape or the SVG path commands for a custom shape.

  #### Returns Promise<string>

  The value of `type` property.

  Inherited from OjLedGaugeBase.getType

### getValue

- getValue(): Promise<null | number>

- Gets the value of `value` property. The metric value.

  #### Returns Promise<null | number>

  The value of `value` property.

  Inherited from OjLedGaugeBase.getValue

### getVisualEffects

- getVisualEffects(): Promise<string>

- Gets the value of `visualEffects` property. Defines whether the theme specific visual effects such as overlays and gradients are applied to the gauge.

  #### Returns Promise<string>

  The value of `visualEffects` property.

  #### Deprecated

  Since 12.1.0. Overlays and gradients are not supported in Redwood theme and are not recommended.

  Inherited from OjLedGaugeBase.getVisualEffects

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjLedGaugeBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjLedGaugeBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from OjLedGaugeBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjLedGaugeBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjLedGaugeBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjLedGaugeBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjLedGaugeBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from OjLedGaugeBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from OjLedGaugeBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  #### Throws

  if the object is not a valid encoded ID.

  Inherited from OjLedGaugeBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from OjLedGaugeBase.isId

Generated using TypeDoc